Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.filters
Interface TokenFilter.Filter

All Known Implementing Classes:
  TokenFilter.ChainableReaderFilter, TokenFilter.ContainsString, TokenFilter.DeleteCharacters

Enclosing interface:
  TokenFilter

public static interface TokenFilter.Filter

string filters implement this interface

Method Summary
`java.lang.String` | `filter(java.lang.String string)` filter and/of modify a string

Method Detail

### filter

    public java.lang.String filter(java.lang.String string)

  filter and/of modify a string

  Parameters:
    `string` - the string to filter
  Returns:
    the modified string or null if the string did not pass the filter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.